Subject: Urgent Inquiry (FOB UAE)

From: [email-masked]
Date: 19 Jan 2024 02:41:44 +0100

Hello

My name is Yasmin from Caspian Chemical Fzco
We are interested in purchasing your products but I have a few queries that I hope you could clarify.

Could you please provide more information about the specifications, and pricing details? Additionally, I would also like to know the warranty period and shipping policies for the orders.

Best
Regards

Yasmin -Director Of Sales

CASPIAN EMIRATES TRADING LLC CASPIAN CHEMICAL FZCO P. O. Box: 24800 Dubai, UAE

City Tower 1 - شارع الشيخ زايد - المركز التجاريالمركز التجاري الأولي - دبي
Mobile: +971 (4) 354 4000
Mail: [email-masked]
Website: www.caspianchemical.com
________________________________________________________________________________________________________
The sales team of Caspian Chemical consists of professionals and experts with strong industry experience. As an innovative partner.